<?xml version="1.0" encoding="windows-1250"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="AVFile"
	ProjectGUID="{B8A3C3D3-A868-49DB-AD55-8EC2974DB089}"
	RootNamespace="AVFileVC"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				UseUnicodeResponseFiles="false"
				Optimization="0"
				AdditionalIncludeDirectories="..\Include;..\System;C:\msys\1.0\home\sumec\ffmpeg\libavformat;C:\msys\1.0\home\sumec\ffmpeg\libavcodec;.;..;..\DShowMSVC\Include;&quot;..\DShowMSVC\Samples\C++\DirectShow\BaseClasses&quot;;C:\msys\1.0\home\sumec\ffmpeg\libavutil"
				PreprocessorDefinitions="_LIB;WIN32;_DEBUG;_WIN32_DCOM;AVFILE_HAVE_CONFIG;EMULATE_INTTYPES"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				TreatWChar_tAsBuiltInType="false"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="4"
				CallingConvention="0"
				CompileAs="0"
				DisableSpecificWarnings="4430"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				AdditionalDependencies="strmiids.lib vfw32.lib Msacm32.lib avcodecMSVC.lib avformatMSVC.lib avutilMSVC.lib"
				AdditionalLibraryDirectories="..\DShowMSVC\Lib;C:\msys\1.0\home\sumec\ffmpeg\libavutil;C:\msys\1.0\home\sumec\ffmpeg\libavformat;C:\msys\1.0\home\sumec\ffmpeg\libavcodec"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			CharacterSet="0"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				UseUnicodeResponseFiles="false"
				AdditionalIncludeDirectories=".;..\Include;..\System;C:\Skola\AVFile\DShowMSVC\Include;C:\Skola\Support\include\ffmpeg\libavutil;C:\Skola\Support\include\ffmpeg\libavformat;C:\Skola\Support\include\ffmpeg\libavcodec;C:\Skola\Support\include\ffmpeg;&quot;c:\Skola\AVFile\DShowMSVC\Samples\C++\DirectShow\BaseClasses\&quot;"
				PreprocessorDefinitions="_LIB;WIN32;_WIN32_DCOM;AVFILE_HAVE_CONFIG;EMULATE_INTTYPES"
				RuntimeLibrary="2"
				StructMemberAlignment="5"
				TreatWChar_tAsBuiltInType="false"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
				CompileAs="0"
				DisableSpecificWarnings="4430"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				LinkLibraryDependencies="true"
				AdditionalDependencies="strmiids.lib vfw32.lib Msacm32.lib avcodec-51.lib avformat-51.lib avutil-49.lib"
				AdditionalLibraryDirectories="lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\Src\avfile.cpp"
				>
			</File>
			<File
				RelativePath="..\Src\avfile_utils.cpp"
				>
			</File>
			<File
				RelativePath="..\Src\avifile.cpp"
				>
			</File>
			<File
				RelativePath="..\Src\bmpfile.cpp"
				>
			</File>
			<File
				RelativePath="..\Src\fffile.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\avfile_config.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<File
			RelativePath=".\ReadMe.txt"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
